<?php

namespace App\Services;

use App\Repositories\GroupRepository;

class GroupService
{
    protected GroupRepository $groupRepository;

    public function __construct() {
        $this->groupRepository = new GroupRepository();
    }

    public function getAreaByGroup($group)
    {
        return $this->groupRepository->getAreaByGroup($group);
    }

    public function getGroupTypeByGroup($group)
    {
        return $this->groupRepository->getGroupTypeByGroup($group);
    }

    public function getSubGroupsByGroup($group)
    {
        return $this->groupRepository->getSubGroupsByGroup($group);
    }

    public function hasSubgroups($groupId)
    {
        return $this->groupRepository->hasSubgroups($groupId);
    }

}